InputStreamDataInput (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.store, class: InputStreamDataInput

Package org.apache.lucene.store

# Class InputStreamDataInput

java.lang.Object
org.apache.lucene.store.DataInput
org.apache.lucene.store.InputStreamDataInput

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Cloneable`

public class InputStreamDataInput extends DataInput implements Closeable
A `DataInput` wrapping a plain `InputStream`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputStreamDataInput(InputStream is)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `byte`
  `readByte()`
  Reads and returns a single byte.
  `void`
  `readBytes(byte[] b, int offset, int len)`
  Reads a specified number of bytes into an array at the specified offset.
  `void`
  `skipBytes(long numBytes)`
  Skip over `numBytes` bytes.

  ### Methods inherited from class org.apache.lucene.store.DataInput

  `clone, readBytes, readFloats, readGroupVInt, readInt, readInts, readLong, readLongs, readMapOfStrings, readSetOfStrings, readShort, readString, readVInt, readVLong, readZInt, readZLong`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InputStreamDataInput

    public InputStreamDataInput(InputStream is)

- ## Method Details

  - ### readByte

    public byte readByte() throws IOException
    Description copied from class: `DataInput`
    Reads and returns a single byte.
    Specified by:
      `readByte` in class `DataInput`
    Throws:
      `IOException`
    See Also:
      - `DataOutput.writeByte(byte)`

  - ### readBytes

    public void readBytes(byte[] b, int offset, int len) throws IOException
    Description copied from class: `DataInput`
    Reads a specified number of bytes into an array at the specified offset.
    Specified by:
      `readBytes` in class `DataInput`
    Parameters:
      `b` - the array to read bytes into
      `offset` - the offset in the array to start storing bytes
      `len` - the number of bytes to read
    Throws:
      `IOException`
    See Also:
      - `DataOutput.writeBytes(byte[],int)`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Throws:
      `IOException`

  - ### skipBytes

    public void skipBytes(long numBytes) throws IOException
    Description copied from class: `DataInput`
    Skip over `numBytes` bytes. This method may skip bytes in whatever way is most optimal, and may not have the same behavior as reading the skipped bytes. In general, negative `numBytes` are not supported.
    Specified by:
      `skipBytes` in class `DataInput`
    Throws:
      `IOException`